<button mat-raised-button color="primary" (click)="commonMethod()">Calling Service From Second Component</button>
<button mat-raised-button color="primary" (click)="logData()">Log Value</button>
<button mat-raised-button color="primary" (click)="setChildVal()">Set Child Value</button>